[data-component-id="incmty:faq"] {
  background-color: var(--bg-color);
  padding: 48px 16px;

  &.midnight {
    --divider-color: #FFF;

    hr {
      background-color: #CFE253;
    }

    blockquote::before {
      border-color: #CFE253;
    }

    .faq-pagination {
      .prev,
      .next {
        &:disabled, 
        &[disabled] {
          &::before {
            background-color: rgba(255, 255, 255, 0.25);
          }
        }
      }
    }
  }

  &.white {
    --divider-color: #030219;

    hr {
      background-color: #CFE253;
    }

    blockquote::before {
      border-color: #CFE253;
    }

    .faq-pagination {
      .prev,
      .next {
        &:disabled, 
        &[disabled] {
          &::before {
            background-color: rgba(3, 2, 25, 0.25);
          }
        }
      }
    }
  }

  &.hk-white {
    --divider-color: #005D11;

    .faq-pagination {
      .prev,
      .next {
        &:disabled, 
        &[disabled] {
          &::before {
            background-color: rgba(3, 2, 25, 0.25);
          }
        }
      }
    }
  }

  &.hk-dark,
  &.heineken-dark-green,
  &.hk-green-dark {
    --divider-color: #A1E005;

    .faq-pagination {
      .prev,
      .next {
        &:disabled, 
        &[disabled] {
          &::before {
            background-color: rgba(255, 255, 255, 0.75);
          }
        }
      }
    }
  }

  &.hk-light,
  &.heineken-light-green,
  &.hk-green-light {
    .faq-pagination {
      .prev,
      .next {
        &:disabled, 
        &[disabled] {
          &::before {
            background-color: rgba(3, 2, 25, 0.25);
          }
        }
      }
    }
  }

  .section-h {
    margin-bottom: 16px;
  }

  .title-h {
    margin-bottom: 16px;
  }

  .faq-description {
    margin-bottom: 16px;
  }

  .faq-items-container {
    text-align: initial;
    border-top: 1px solid var(--divider-color);
    border-bottom: 1px solid var(--divider-color);

    .faq-items-page {
      display: none;
      transition: all 0.3s ease;

      &.active {
        display: block;
      }
    }

    .faq-item + .faq-item {
      border-top: 1px solid var(--divider-color);
    }

    .faq-item-question {
      font-size: 16px;
      line-height: 22px;

      .faq-item-question-button {
        width: 100%;
        font-weight: 700;
        text-align: left; 
        padding: 24px 0;
        padding-right: 56px;
        background: none;
        border: none;
        position: relative;

        &::before {
          content: '';
          position: absolute;
          right: 0;
          top: 50%;
          transform: translateY(-50%);
          border-radius: 48px;
          height: 32px;
          width: 32px;
          border: 2px solid var(--text-color);
        }

        &::after {
          content: '';
          position: absolute;
          top: 50%;
          right: 0;
          display: inline-block;
          transform: translateY(-50%) rotate(-90deg);
          transition: all 0.3s ease;
          width: 36px;
          height: 36px;
          mask-size: 20px;
          mask-position: center;
          mask-repeat: no-repeat;
          mask-image: url(/themes/custom/incmty/images/svg/chevron-left.svg);
          background-image: none;
          background-color: var(--text-color);
        }

        &:focus {
          outline: none;
          box-shadow: none;
        }
      }

      + .field--name-field-body {
        transition: all 0.3s ease-in-out;
        max-height: 0;
        overflow: hidden;
      }

      &.active {
        + .field--name-field-body {
          transition: max-height 0.3s ease-in-out;
          max-height: 600px;
          padding-bottom: 24px;
        }

        .faq-item-question-button::after {
          transform: translateY(-50%) rotate(90deg);
        }
      }
    }
  }

  .faq-pagination {
    margin-top: 24px;
    text-align: center;

    .faq-pagination-button {
      background: none;
      border: none;
      font-size: 16px;
      line-height: 22px;
      font-weight: 400;
      cursor: pointer;

      &:focus {
        outline: none;
        box-shadow: none;
      }

      &:disabled, 
      &[disabled] {
        cursor: default;
      }

      &.active {
        font-weight: 700;
      }
    }

    .prev,
    .next {
      position: relative;
      text-indent: -9999px;
      overflow: hidden;

      &:before {
        content: '';
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 0;
        display: inline-block;
        width: 16px;
        height: 16px;
        mask-size: 17px;
        mask-position: center;
        mask-repeat: no-repeat;
        mask-image: url(/themes/custom/incmty/images/svg/chevron-left.svg);
        background-image: none;
        background-color: var(--text-color);
      }

      &.next:before {
        mask-image: url(/themes/custom/incmty/images/svg/chevron-right.svg);
      }
    }

    .faq-pagination-separator {
      margin: 0 16px;
      color: var(--divider-color);
    }
  }
}

@media only screen and (min-width: 1024px) {
  [data-component-id="incmty:faq"] {
    padding: 96px;
    padding-bottom: 96px;

    [data-component-id="incmty:headings"] {
      margin-bottom: 48px;
    }

    .title-h {
      margin-bottom: 48px;
    }

    .columns-items-container {
      gap: 24px;
    }
  }
}
